List Skill Clusters
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/skill_clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/skill_clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/skill_clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_cluster_name": "Debug Software",
"skill_cluster_description": "Repair computer code by analysing testing results, locating the defects causing the software to output an incorrect or unexpected result and removing these faults.",
"last_updated": "2021-01-21T17:32:28Z",
"skill_cluster_type": "taxonomy"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"skill_cluster_name": "Program Firmware",
"skill_cluster_description": "Program permanent software with a read-only memory (ROM) on a hardware device, such as an integrated circuit.",
"last_updated": "2021-01-22T15:02:00Z",
"skill_cluster_type": "inferred"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"skill_cluster_name": "Utilise Machine Learning",
"skill_cluster_description": "Use techniques and algorithms that are able to extract mastery out of data, learn from it and make predictions, to be used for program optimisation, application adaptation, pattern recognition, filtering, search engines and computer vision.",
"last_updated": "2021-01-21T17:46:29Z",
"skill_cluster_type": "inferred"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]CRUD
List Skill Clusters
deprecated
Get a list of all Skill Clusters available in the system. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.
List Skill Clusters
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
Required range:
1 <= x <= 200Example:
50
The applied offset for returned entities, results starting from offset up to offset + limit.
Required range:
x >= 0Response
OK
Total number of Skill Cluster objects stored inside the system.
Required range:
x >= 0Example:
3
Subset of Skill Clusters starting from offset up to offset + limit.
Show child attributes
Show child attributes
Example:
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"skill_cluster_name": "Debug Software",
"skill_cluster_description": "Repair computer code by analysing testing results, locating the defects causing the software to output an incorrect or unexpected result and removing these faults.",
"last_updated": "2021-01-21T17:32:28Z",
"skill_cluster_type": "taxonomy"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"skill_cluster_name": "Program Firmware",
"skill_cluster_description": "Program permanent software with a read-only memory (ROM) on a hardware device, such as an integrated circuit.",
"last_updated": "2021-01-22T15:02:00Z",
"skill_cluster_type": "inferred"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"skill_cluster_name": "Utilise Machine Learning",
"skill_cluster_description": "Use techniques and algorithms that are able to extract mastery out of data, learn from it and make predictions, to be used for program optimisation, application adaptation, pattern recognition, filtering, search engines and computer vision.",
"last_updated": "2021-01-21T17:46:29Z",
"skill_cluster_type": "inferred"
}
]
Was this page helpful?
⌘I